Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2020-04-24 15:15:36

william
Member
Registered: 2020-04-24
Posts: 8

salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hello everyone,

I try to run SALOME-MECA-2013.1-LGPL
I don't remember any problem during the install
I'm really new in Ubuntu and SM so when I was saying this, it's 90% sure (only)

My problem is " " "simple" " " : I double-click in the logo placed on the desktop after the install.
Nothing
no error message, no quick opened/closed page or something. Just nothing.

Some features about the context :
VirtualMachine and Ubuntu 17.04 (32bits) is installed on it
intial downloaded SM file name is : SALOME-MECA-2013.1-LGPL-i386.run

After the install I've two folders in
guillaume@guillaume-VirtualBox :~$ /salome/
appli_V6_6_0 folder and
SALOME-MECA-2013.1-LGPL folder

I don't know what to do. Please could you help me ?

W


PS : Of course, I tried to google my problem. I tried to look for everywhere in all your forum. I didn't find a similar problem. I hope I didn't miss "a good topic".

Last edited by william (2020-04-24 15:22:28)

Offline

#2 2020-04-27 14:45:28

ing.nicola
Member
Registered: 2017-12-11
Posts: 51

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

try to chagne name adding an underscroe to all libstdc++ files in ..../salome_meca/V2019.0.3_universal/prerequisites/debianForSalome/
and then try to execute ./salome in ..../salome_meca/appli_V2019.0.3_universal

Last edited by ing.nicola (2020-04-27 14:46:12)

Offline

#3 2020-04-28 20:28:52

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Thank you Nicola. I don't have my computer now but I'll try and keep you in touch.

Offline

#4 2020-04-28 22:44:48

AsterO'dactyle
Administrator
Registered: 2007-11-29
Posts: 335

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hello,

2013 ?????
Really ????


Code_Asterの開発者

Offline

#5 2020-05-01 09:56:02

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hello AsterO'Dactyle,

Yes, the 2013 version supposed to run on Linux 32bits. But while mine doesn't run I keep in my mind that maybe I found another version on the web just named "2013.1-LGPL".
Is it allowed on this forum to show the website where this version can be found ?

Last edited by william (2020-05-01 09:57:20)

Offline

#6 2020-05-01 10:22:10

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hello Nicola,

My folders context is a little different than the one you indicated. I have in
salome/SALOME-MECA-2013.1-LGPL/prerequisites/debianForSalome a folder named "lib"
inside this folder I have those 14 files
libcrypto.so.0.9.8
libg2c.so.0
libgfortran.so.1
libicudata.so.36
libicui18n.so.36
libicuuc.so.36
libjpeg.so.62
liblua50.so.5.0
liblualib50.so.5.0
libpng12.so.0
libpq.so.4
libreadline.so.5
libssl.so.0.9.8
libtiff.so.4

I don't have any libstdc++ files
Thank you again for your help

Last edited by william (2020-05-01 10:23:24)

Offline

#7 2020-05-01 12:16:24

ing.nicola
Member
Registered: 2017-12-11
Posts: 51

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

william wrote:

Hello Nicola,

My folders context is a little different than the one you indicated. I have in
salome/SALOME-MECA-2013.1-LGPL/prerequisites/debianForSalome a folder named "lib"
inside this folder I have those 14 files
libcrypto.so.0.9.8
libg2c.so.0
libgfortran.so.1
libicudata.so.36
libicui18n.so.36
libicuuc.so.36
libjpeg.so.62
liblua50.so.5.0
liblualib50.so.5.0
libpng12.so.0
libpq.so.4
libreadline.so.5
libssl.so.0.9.8
libtiff.so.4

I don't have any libstdc++ files
Thank you again for your help

Sorry . I don't know.

Offline

#8 2020-05-01 22:35:46

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Thank you Nicola for your time trying to help me.
To everyone, is there someboby else to help me ?

Offline

#9 2020-05-03 13:00:36

Irvise
Member
Registered: 2019-12-07
Posts: 9

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hi William.

2013 version is indeed old and I did not use it, however, I am going to try my best.

Instead of clicking on the desktop icon, could you run the executable in a terminal and show me the output?

You can do this by going to the appli_V6... folder and then run the salome executable by typing "./salome" (without the quotes).

Regards,

Fernando Oleo Blanco

Offline

#10 2020-05-07 00:51:11

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hi Fernando,

Thank you four your advice. I'll try and will say to you. It is not easy and quick for my computer to run Ubuntu 32bits. That's why I have to postpone the results. But, once again, thank you to help me.

Have a good day

Offline

#11 2020-05-09 10:46:19

william
Member
Registered: 2020-04-24
Posts: 8

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hi Fernando,

I chosed to re-install SM 2013 in order to have all the process watchable.

Installation:

Enter the Salome install directory [default=/home/william/salome] :
Salome is in English, do you want to be in French ? [y/N] : y
Installation of SALOME V6_6_0 in /home/william/salome/SALOME-MECA-2013.1-LGPL ...
Verifying archive integrity...
All good.
Done                                                                           
Creating SALOME application in /home/william/salome/appli_V6_6_0 ...
Installing the preferences file in /home/william/.config/salome/SalomeApprc.6.6.0
Installing the custom materials file in /home/william/.config/salome/SalomeApprc.6.6.0
Installing the CatalogResources file in /home/william/salome/appli_V6_6_0/CatalogResources.xml
Changing the language to fr in the preferences file
Adjusting the file : /home/william/salome/appli_V6_6_0/SalomeApp.xml
Suppress : /home/william/salome/appli_V6_6_0/bin/salome/cabri.py
Creating : /home/william/salome/appli_V6_6_0/runSalomeMeca
Missing repertory: /home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Tcl_859/lib/Togl1.7
Missing repertory: /home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Tcl_859/lib/Tix8.4.3
Missing repertory: /lib64
Missing repertory: /snap/bin
The SALOME application was successfully created.
To run the application:
$ /home/william/salome/appli_V6_6_0/runAppli
patching file /home/william/salome/SALOME-MECA-2013.1-LGPL/tools/Eficasv1_V6_6_0/generator/generator_python.py
william@william-VirtualBox:~/Bureau$


First folder created -> folder SALOME-MECA-2013.1-LGPL :
william@william-VirtualBox:~/salome/SALOME-MECA-2013.1-LGPL$ ls
create_appli_V6_6_0.sh          README
desktop-file-install-desktop.log  salome_modules.sh
desktop-file-install-menu.log      salome_post_install.py
icon_salome6.png          salome_prerequisites_appli.sh
modules                  salome_prerequisites.sh
plugins                  salome_V6_6_0.desktop
prerequisites              tools
william@william-VirtualBox:~/salome/SALOME-MECA-2013.1-LGPL$


Second folder created -> folder appli_V6_6_0 :
william@william-VirtualBox:~/salome/appli_V6_6_0$ ls
appli_V6_6_0.log          idl             runSession
bin                  kill_remote_containers.py  runTests
CatalogResources.xml          lib             SalomeApp.xml
CatalogResources.xml.default  runAppli             searchFreePort.sh
config_appli.xml          runConsole         share
envd                  runRemote.sh         update_catalogs.py
env.d                  runSalomeMeca         USERS
getAppliPath.py              runSalomeScript
william@william-VirtualBox:~/salome/appli_V6_6_0$

As you can read, I don't have any "salome" to run. I have only this "runSalomeMeca". When I try I'm gived :

william@william-VirtualBox:~/salome/appli_V6_6_0$ ./runSalomeMeca
runSalome running on william-VirtualBox
Searching for a free port for naming service:
Traceback (most recent call last):
  File "/home/william/salome/appli_V6_6_0/bin/salome/runSalome.py", line 920, in <module>
    clt,args = main()
  File "/home/william/salome/appli_V6_6_0/bin/salome/runSalome.py", line 846, in main
    searchFreePort(args, save_config)
  File "/home/william/salome/SALOME-MECA-2013.1-LGPL/modules/KERNEL_V6_6_0/bin/salome/searchFreePort.py", line 38, in searchFreePort
    (stdout, stderr) = Popen(['netstat','-an'], stdout=PIPE).communicate()
  File "/home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Python_266/lib/python2.6/subprocess.py", line 623, in __init__
    errread, errwrite)
  File "/home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Python_266/lib/python2.6/subprocess.py", line 1141, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
william@william-VirtualBox:~/salome/appli_V6_6_0$

Thank you for helping

W

Offline

#12 2020-05-10 03:59:43

Duc Vu
Member
Registered: 2020-04-03
Posts: 11

Re: salome-meca 2013 and ubuntu 17.04 - salome-meca doesn't run

Hi William,

I think your problem is here

Missing repertory: /home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Tcl_859/lib/Togl1.7
Missing repertory: /home/william/salome/SALOME-MECA-2013.1-LGPL/prerequisites/Tcl_859/lib/Tix8.4.3
Missing repertory: /lib64
Missing repertory: /snap/bin

I suppose that Salome-meca 2013 lacks of prerequisites like Tcl, lib64,... or maybe the these libraries in ubuntu 17.04 are not compatibles with version 2013 (not sure).
Again why SM2013 and why you try an ubuntu 32bits on a virtualbox?
At first, remove your current Salome-Meca by remove the repositories salome

sudo rm -r /home/william/salome

and then, try to install all the prerequisite available in the download page

If you've never used ubuntu before, you may try to install them through synaptic and then reinstall SM.
If you're not too rush to work with Salome, Code_aster standalone is a good choice.

Offline